> For the complete documentation index, see [llms.txt](https://docs.aeternity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aeternity.com/developer-documentation/aeproject/docs/lib.md).

# AEproject Library

Installed automatically with each project initialized with `aeproject init`, otherwise can be installed using `npm i @aeternity/aeproject`.

Available imports include helper definitions and utils using:

```javascript
const { utils, wallets, networks } = require("@aeternity/aeproject");
```

## Utils

```javascript
utils.getContractContent(contractPath);
```

Read the contract source from given path, just a wrapper for `fs.readFileSync` using `utf-8` encoding.

```javascript
import * as AeppSdk from "@aeternity/aepp-sdk";
utils.getSdk(AeppSdk, {});
```

Initialize the æternity SDK, pre-configured for optimal use in an AEproject project using æternity node devmode.

```javascript
utils.awaitKeyBlocks(aeSdk, n);
```

Create and wait for `n` number of key-blocks with the æternity node devmode, checked using the passed `aeSdk`.

```javascript
utils.createSnapshot(aeSdk);
```

Create a snapshot of the current chain state using the æternity node devmode, using the passed `aeSdk`.

```javascript
utils.rollbackSnapshot(aeSdk);
```

Rollback to the latest snapshot using the æternity node devmode, using the passed `aeSdk`.

```javascript
utils.rollbackHeight(aeSdk, height);
```

Rollback to the specified height using the æternity node devmode, using the passed `aeSdk`.

```javascript
utils.getDefaultAccounts();
```

Get the pre-funded default accounts as `MemoryAccount`, so they can be used natively using the `aeSdk`.

## Wallets

List of configured keypairs that are pre-funded using the æternity node devmode as provided in AEproject.

## Networks

Exposed URLs for commonly used `nodeUrl` and `compilerUrl`, per default local `devmode` and optionally hosted URLs for `mainnet` and `testnet`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.aeternity.com/developer-documentation/aeproject/docs/lib.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
